// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0-devel
// 	protoc        v3.13.0
// source: ordenes.proto

package ordenes

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type OrdenCliente struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          string `protobuf:"bytes,1,opt,name=Id,proto3" json:"Id,omitempty"`
	Tipo        string `protobuf:"bytes,6,opt,name=Tipo,proto3" json:"Tipo,omitempty"`
	Producto    string `protobuf:"bytes,2,opt,name=Producto,proto3" json:"Producto,omitempty"`
	Valor       string `protobuf:"bytes,3,opt,name=Valor,proto3" json:"Valor,omitempty"`
	Tienda      string `protobuf:"bytes,4,opt,name=Tienda,proto3" json:"Tienda,omitempty"`
	Destino     string `protobuf:"bytes,5,opt,name=Destino,proto3" json:"Destino,omitempty"`
	Seguimiento string `protobuf:"bytes,7,opt,name=Seguimiento,proto3" json:"Seguimiento,omitempty"`
}

func (x *OrdenCliente) Reset() {
	*x = OrdenCliente{}
	if protoimpl.UnsafeEnabled {
		mi := &file_ordenes_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *OrdenCliente) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*OrdenCliente) ProtoMessage() {}

func (x *OrdenCliente) ProtoReflect() protoreflect.Message {
	mi := &file_ordenes_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use OrdenCliente.ProtoReflect.Descriptor instead.
func (*OrdenCliente) Descriptor() ([]byte, []int) {
	return file_ordenes_proto_rawDescGZIP(), []int{0}
}

func (x *OrdenCliente) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *OrdenCliente) GetTipo() string {
	if x != nil {
		return x.Tipo
	}
	return ""
}

func (x *OrdenCliente) GetProducto() string {
	if x != nil {
		return x.Producto
	}
	return ""
}

func (x *OrdenCliente) GetValor() string {
	if x != nil {
		return x.Valor
	}
	return ""
}

func (x *OrdenCliente) GetTienda() string {
	if x != nil {
		return x.Tienda
	}
	return ""
}

func (x *OrdenCliente) GetDestino() string {
	if x != nil {
		return x.Destino
	}
	return ""
}

func (x *OrdenCliente) GetSeguimiento() string {
	if x != nil {
		return x.Seguimiento
	}
	return ""
}

var File_ordenes_proto protoreflect.FileDescriptor

var file_ordenes_proto_rawDesc = []byte{
	0x0a, 0x0d, 0x6f, 0x72, 0x64, 0x65, 0x6e, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x07, 0x6f, 0x72, 0x64, 0x65, 0x6e, 0x65, 0x73, 0x22, 0xb8, 0x01, 0x0a, 0x0c, 0x4f, 0x72, 0x64,
	0x65, 0x6e, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x49, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x54, 0x69, 0x70,
	0x6f, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x54, 0x69, 0x70, 0x6f, 0x12, 0x1a, 0x0a,
	0x08, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x6f, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x08, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x6f, 0x12, 0x14, 0x0a, 0x05, 0x56, 0x61, 0x6c,
	0x6f, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x56, 0x61, 0x6c, 0x6f, 0x72, 0x12,
	0x16, 0x0a, 0x06, 0x54, 0x69, 0x65, 0x6e, 0x64, 0x61, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x54, 0x69, 0x65, 0x6e, 0x64, 0x61, 0x12, 0x18, 0x0a, 0x07, 0x44, 0x65, 0x73, 0x74, 0x69,
	0x6e, 0x6f, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x44, 0x65, 0x73, 0x74, 0x69, 0x6e,
	0x6f, 0x12, 0x20, 0x0a, 0x0b, 0x53, 0x65, 0x67, 0x75, 0x69, 0x6d, 0x69, 0x65, 0x6e, 0x74, 0x6f,
	0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x53, 0x65, 0x67, 0x75, 0x69, 0x6d, 0x69, 0x65,
	0x6e, 0x74, 0x6f, 0x32, 0x92, 0x01, 0x0a, 0x15, 0x4f, 0x72, 0x64, 0x65, 0x6e, 0x65, 0x73, 0x43,
	0x6c, 0x69, 0x65, 0x6e, 0x74, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x3a, 0x0a,
	0x08, 0x53, 0x61, 0x79, 0x48, 0x65, 0x6c, 0x6c, 0x6f, 0x12, 0x15, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x6e, 0x65, 0x73, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x6e, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x65,
	0x1a, 0x15, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x6e, 0x65, 0x73, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x6e,
	0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x65, 0x22, 0x00, 0x12, 0x3d, 0x0a, 0x0b, 0x53, 0x65, 0x67,
	0x75, 0x69, 0x6d, 0x69, 0x65, 0x6e, 0x74, 0x6f, 0x12, 0x15, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x6e,
	0x65, 0x73, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x6e, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x65, 0x1a,
	0x15, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x6e, 0x65, 0x73, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x6e, 0x43,
	0x6c, 0x69, 0x65, 0x6e, 0x74, 0x65, 0x22, 0x00, 0x42, 0x09, 0x5a, 0x07, 0x6f, 0x72, 0x64, 0x65,
	0x6e, 0x65, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_ordenes_proto_rawDescOnce sync.Once
	file_ordenes_proto_rawDescData = file_ordenes_proto_rawDesc
)

func file_ordenes_proto_rawDescGZIP() []byte {
	file_ordenes_proto_rawDescOnce.Do(func() {
		file_ordenes_proto_rawDescData = protoimpl.X.CompressGZIP(file_ordenes_proto_rawDescData)
	})
	return file_ordenes_proto_rawDescData
}

var file_ordenes_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_ordenes_proto_goTypes = []interface{}{
	(*OrdenCliente)(nil), // 0: ordenes.OrdenCliente
}
var file_ordenes_proto_depIdxs = []int32{
	0, // 0: ordenes.OrdenesClienteService.SayHello:input_type -> ordenes.OrdenCliente
	0, // 1: ordenes.OrdenesClienteService.Seguimiento:input_type -> ordenes.OrdenCliente
	0, // 2: ordenes.OrdenesClienteService.SayHello:output_type -> ordenes.OrdenCliente
	0, // 3: ordenes.OrdenesClienteService.Seguimiento:output_type -> ordenes.OrdenCliente
	2, // [2:4] is the sub-list for method output_type
	0, // [0:2] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_ordenes_proto_init() }
func file_ordenes_proto_init() {
	if File_ordenes_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_ordenes_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*OrdenCliente); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_ordenes_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_ordenes_proto_goTypes,
		DependencyIndexes: file_ordenes_proto_depIdxs,
		MessageInfos:      file_ordenes_proto_msgTypes,
	}.Build()
	File_ordenes_proto = out.File
	file_ordenes_proto_rawDesc = nil
	file_ordenes_proto_goTypes = nil
	file_ordenes_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// OrdenesClienteServiceClient is the client API for OrdenesClienteService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type OrdenesClienteServiceClient interface {
	SayHello(ctx context.Context, in *OrdenCliente, opts ...grpc.CallOption) (*OrdenCliente, error)
	Seguimiento(ctx context.Context, in *OrdenCliente, opts ...grpc.CallOption) (*OrdenCliente, error)
}

type ordenesClienteServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewOrdenesClienteServiceClient(cc grpc.ClientConnInterface) OrdenesClienteServiceClient {
	return &ordenesClienteServiceClient{cc}
}

func (c *ordenesClienteServiceClient) SayHello(ctx context.Context, in *OrdenCliente, opts ...grpc.CallOption) (*OrdenCliente, error) {
	out := new(OrdenCliente)
	err := c.cc.Invoke(ctx, "/ordenes.OrdenesClienteService/SayHello", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *ordenesClienteServiceClient) Seguimiento(ctx context.Context, in *OrdenCliente, opts ...grpc.CallOption) (*OrdenCliente, error) {
	out := new(OrdenCliente)
	err := c.cc.Invoke(ctx, "/ordenes.OrdenesClienteService/Seguimiento", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// OrdenesClienteServiceServer is the server API for OrdenesClienteService service.
type OrdenesClienteServiceServer interface {
	SayHello(context.Context, *OrdenCliente) (*OrdenCliente, error)
	Seguimiento(context.Context, *OrdenCliente) (*OrdenCliente, error)
}

// UnimplementedOrdenesClienteServiceServer can be embedded to have forward compatible implementations.
type UnimplementedOrdenesClienteServiceServer struct {
}

func (*UnimplementedOrdenesClienteServiceServer) SayHello(context.Context, *OrdenCliente) (*OrdenCliente, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SayHello not implemented")
}
func (*UnimplementedOrdenesClienteServiceServer) Seguimiento(context.Context, *OrdenCliente) (*OrdenCliente, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Seguimiento not implemented")
}

func RegisterOrdenesClienteServiceServer(s *grpc.Server, srv OrdenesClienteServiceServer) {
	s.RegisterService(&_OrdenesClienteService_serviceDesc, srv)
}

func _OrdenesClienteService_SayHello_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(OrdenCliente)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OrdenesClienteServiceServer).SayHello(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ordenes.OrdenesClienteService/SayHello",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OrdenesClienteServiceServer).SayHello(ctx, req.(*OrdenCliente))
	}
	return interceptor(ctx, in, info, handler)
}

func _OrdenesClienteService_Seguimiento_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(OrdenCliente)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OrdenesClienteServiceServer).Seguimiento(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ordenes.OrdenesClienteService/Seguimiento",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OrdenesClienteServiceServer).Seguimiento(ctx, req.(*OrdenCliente))
	}
	return interceptor(ctx, in, info, handler)
}

var _OrdenesClienteService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "ordenes.OrdenesClienteService",
	HandlerType: (*OrdenesClienteServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SayHello",
			Handler:    _OrdenesClienteService_SayHello_Handler,
		},
		{
			MethodName: "Seguimiento",
			Handler:    _OrdenesClienteService_Seguimiento_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "ordenes.proto",
}
